Bug 188797 - [patch update] fix print/harfbuzz build on 9.2p4
Summary: [patch update] fix print/harfbuzz build on 9.2p4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 17:30 UTC by Kurt Jaeger
Modified: 2014-11-27 15:55 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.29 KB, patch)
2014-04-19 17:30 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2014-04-19 17:30:00 UTC
	print/harfbuzz fails to build on 9.2p4 because configure
	adds ' --std=c++0x' to CXXFLAGS, which causes the build to fail.

	Fix USES while there. Does this require a PORTREVISION increment ?

How-To-Repeat: 	See http://opsec.eu/backup/harfbuzz-build-failure
	for a log of the failed build.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-19 17:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-02 17:28:39 UTC
Author: kwm
Date: Fri May  2 16:28:34 2014
New Revision: 352824
URL: http://svnweb.freebsd.org/changeset/ports/352824
QAT: https://qat.redports.org/buildarchive/r352824/

Log:
  Update to 0.9.28.
  
  USE_BZIP2 -> USES=tar:bzip2
  USE_GNOME=ltverhack -> USES=libtool:keepla
  Use INSTALL_TARGET=install-strip to strip libraries.
  
  This should fix a build failure as reported in [1]
  
  PR:		ports/188797 [1]
  Submitted by:	Kurt Jaeger <fbsd-ports@opsec.eu>

Modified:
  head/print/harfbuzz/Makefile
  head/print/harfbuzz/distinfo
  head/print/harfbuzz/pkg-plist

Modified: head/print/harfbuzz/Makefile
==============================================================================
--- head/print/harfbuzz/Makefile	Fri May  2 16:21:42 2014	(r352823)
+++ head/print/harfbuzz/Makefile	Fri May  2 16:28:34 2014	(r352824)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	harfbuzz
-PORTVERSION=	0.9.25
-PORTREVISION=	2
+PORTVERSION=	0.9.28
 CATEGORIES=	print
 MASTER_SITES=	http://www.freedesktop.org/software/harfbuzz/release/
 
@@ -14,12 +13,12 @@ LIB_DEPENDS=	libfreetype.so:${PORTSDIR}/
 		libicudata.so:${PORTSDIR}/devel/icu \
 		libgraphite2.so:${PORTSDIR}/graphics/graphite2
 
-USE_BZIP2=	yes
 USE_LDCONFIG=	yes
-USES=		gmake pathfix pkgconfig
-USE_GNOME=	cairo glib20 ltverhack
+USES=		gmake libtool:keepla pathfix pkgconfig tar:bzip2
+USE_GNOME=	cairo glib20
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-graphite2
+INSTALL_TARGET=	install-strip
 
 .include <bsd.port.pre.mk>
 
@@ -27,7 +26,4 @@ CONFIGURE_ARGS=	--with-graphite2
 EXTRA_PATCHES=	${PATCHDIR}/extra-src_hb-open-type-private.hh
 .endif
 
-post-install:
-	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libharfbuzz*.so.0
-
 .include <bsd.port.post.mk>

Modified: head/print/harfbuzz/distinfo
==============================================================================
--- head/print/harfbuzz/distinfo	Fri May  2 16:21:42 2014	(r352823)
+++ head/print/harfbuzz/distinfo	Fri May  2 16:28:34 2014	(r352824)
@@ -1,2 +1,2 @@
-SHA256 (harfbuzz-0.9.25.tar.bz2) = dc6e5997a569526cd28147a80a0f65466e87ae617753b38704a60184bc6d6bee
-SIZE (harfbuzz-0.9.25.tar.bz2) = 1051548
+SHA256 (harfbuzz-0.9.28.tar.bz2) = a567f7c58018af0a9751e18641fd8434bfcef8307122dabe47dd652ce8bde048
+SIZE (harfbuzz-0.9.28.tar.bz2) = 1063769

Modified: head/print/harfbuzz/pkg-plist
==============================================================================
--- head/print/harfbuzz/pkg-plist	Fri May  2 16:21:42 2014	(r352823)
+++ head/print/harfbuzz/pkg-plist	Fri May  2 16:28:34 2014	(r352824)
@@ -11,7 +11,9 @@ include/harfbuzz/hb-ft.h
 include/harfbuzz/hb-glib.h
 include/harfbuzz/hb-graphite2.h
 include/harfbuzz/hb-icu.h
+include/harfbuzz/hb-ot-font.h
 include/harfbuzz/hb-ot-layout.h
+include/harfbuzz/hb-ot-shape.h
 include/harfbuzz/hb-ot-tag.h
 include/harfbuzz/hb-ot.h
 include/harfbuzz/hb-set.h
@@ -23,9 +25,11 @@ include/harfbuzz/hb.h
 lib/libharfbuzz-icu.la
 lib/libharfbuzz-icu.so
 lib/libharfbuzz-icu.so.0
+lib/libharfbuzz-icu.so.0.928.0
 lib/libharfbuzz.la
 lib/libharfbuzz.so
 lib/libharfbuzz.so.0
+lib/libharfbuzz.so.0.928.0
 libdata/pkgconfig/harfbuzz-icu.pc
 libdata/pkgconfig/harfbuzz.pc
 share/gtk-doc/html/harfbuzz/annotation-glossary.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2014-11-27 15:55:00 UTC
Forgot to close PR after problem was resolved.